package va;

public class Stadt
{
  public static void main( String[] args )
  {
    Gebaeude gebaeude[] = {
        new Disko(), new Kirche(), new Kirche()
    };

    kennungenAusgeben( gebaeude ); // GASTSTAETTE  KIRCHE  KIRCHE
  }

  static void kennungenAusgeben( Gebaeude[] gebaeude )
  {
    for ( Gebaeude g : gebaeude )
      System.out.println( g.getTyp() ); // Hier ist die Polymorphie
  }
}
